Skip Menu |
 

This queue is for tickets about the Module-Build CPAN distribution.

Report information
The Basics
Id: 18951
Status: resolved
Priority: 0/
Queue: Module-Build

People
Owner: Nobody in particular
Requestors: adamk [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: Important
Broken in: 0.2612
Fixed in: (no value)



Subject: Manification fails on VanillaPerl 5.8.8
Download (untitled) / with headers
text/plain 7.9k
From the following, not that the use of PodParser seems to be broken. Module-Build-0.2612/ Module-Build-0.2612/Build.PL Module-Build-0.2612/Changes Module-Build-0.2612/INSTALL Module-Build-0.2612/lib/ Module-Build-0.2612/lib/Module/ Module-Build-0.2612/lib/Module/Build/ Module-Build-0.2612/lib/Module/Build/Base.pm Module-Build-0.2612/lib/Module/Build/Compat.pm Module-Build-0.2612/lib/Module/Build/Cookbook.pm Module-Build-0.2612/lib/Module/Build/Platform/ Module-Build-0.2612/lib/Module/Build/Platform/aix.pm Module-Build-0.2612/lib/Module/Build/Platform/Amiga.pm Module-Build-0.2612/lib/Module/Build/Platform/cygwin.pm Module-Build-0.2612/lib/Module/Build/Platform/darwin.pm Module-Build-0.2612/lib/Module/Build/Platform/Default.pm Module-Build-0.2612/lib/Module/Build/Platform/EBCDIC.pm Module-Build-0.2612/lib/Module/Build/Platform/MacOS.pm Module-Build-0.2612/lib/Module/Build/Platform/MPEiX.pm Module-Build-0.2612/lib/Module/Build/Platform/os2.pm Module-Build-0.2612/lib/Module/Build/Platform/RiscOS.pm Module-Build-0.2612/lib/Module/Build/Platform/Unix.pm Module-Build-0.2612/lib/Module/Build/Platform/VMS.pm Module-Build-0.2612/lib/Module/Build/Platform/VOS.pm Module-Build-0.2612/lib/Module/Build/Platform/Windows.pm Module-Build-0.2612/lib/Module/Build/PodParser.pm Module-Build-0.2612/lib/Module/Build/PPMMaker.pm Module-Build-0.2612/lib/Module/Build.pm Module-Build-0.2612/Makefile.PL Module-Build-0.2612/MANIFEST Module-Build-0.2612/META.yml Module-Build-0.2612/README Module-Build-0.2612/scripts/ Module-Build-0.2612/scripts/config_data Module-Build-0.2612/SIGNATURE Module-Build-0.2612/t/ Module-Build-0.2612/t/basic.t Module-Build-0.2612/t/common.pl Module-Build-0.2612/t/compat.t Module-Build-0.2612/t/ext.t Module-Build-0.2612/t/extend.t Module-Build-0.2612/t/files.t Module-Build-0.2612/t/install.t Module-Build-0.2612/t/lib/ Module-Build-0.2612/t/lib/ModuleBuildOne.pm Module-Build-0.2612/t/manifypods.t Module-Build-0.2612/t/notes.t Module-Build-0.2612/t/pod_parser.t Module-Build-0.2612/t/runthrough.t Module-Build-0.2612/t/Sample/ Module-Build-0.2612/t/Sample/bin/ Module-Build-0.2612/t/Sample/bin/sample.pl Module-Build-0.2612/t/Sample/Build.PL Module-Build-0.2612/t/Sample/lib/ Module-Build-0.2612/t/Sample/lib/Sample/ Module-Build-0.2612/t/Sample/lib/Sample/Docs.pod Module-Build-0.2612/t/Sample/lib/Sample/NoPod.pm Module-Build-0.2612/t/Sample/lib/Sample/Script.PL Module-Build-0.2612/t/Sample/lib/Sample.pm Module-Build-0.2612/t/Sample/MANIFEST Module-Build-0.2612/t/Sample/META.yml Module-Build-0.2612/t/Sample/script Module-Build-0.2612/t/Sample/test.foo Module-Build-0.2612/t/Sample/test.pl Module-Build-0.2612/t/signature.t Module-Build-0.2612/t/versions.t Module-Build-0.2612/t/xs.t Module-Build-0.2612/t/XSTest/ Module-Build-0.2612/t/XSTest/Build.PL Module-Build-0.2612/t/XSTest/Changes Module-Build-0.2612/t/XSTest/empty.h Module-Build-0.2612/t/XSTest/lib/ Module-Build-0.2612/t/XSTest/lib/XSTest.pm Module-Build-0.2612/t/XSTest/lib/XSTest.xs Module-Build-0.2612/t/XSTest/MANIFEST Module-Build-0.2612/t/XSTest/test.pl gzip: stdout: Broken pipe Removing previously used C:\DOCUME~1\adam\LOCALS~1\Temp\cpan\build\Module-Build- 0.2612 'gpg' is not recognized as an internal or external command, operable program or batch file. Cannot use GnuPG or Crypt::OpenPGP, please install either one first! CPAN.pm: Going to build K/KW/KWILLIAMS/Module-Build-0.2612.tar.gz # running Build.PL c:\vanilla-perl\perl\bin\perl.exe -Ilib Build.PL Checking whether your kit is complete... Looks good * Optional prerequisite ExtUtils::ParseXS isn't installed * Optional prerequisite ExtUtils::CBuilder isn't installed ERRORS/WARNINGS FOUND IN PREREQUISITES. You may wish to install the versions of the modules indicated above before proceeding with this installation. Feature 'YAML_support' disabled because of the following prerequisite failures: * Version 0.58 of YAML is installed, but we need version < 0.49 Creating new 'Build' script for 'Module-Build' version '0.2612' CPAN: YAML loaded ok c:\vanilla-perl\perl\bin\perl.exe Build --makefile_env_macros 1 lib\Module\Build\Platform\Default.pm -> blib\lib\Module\Build\Platform\Default.p m lib\Module\Build\Platform\EBCDIC.pm -> blib\lib\Module\Build\Platform\EBCDIC.pm lib\Module\Build\Cookbook.pm -> blib\lib\Module\Build\Cookbook.pm lib\Module\Build\Platform\MacOS.pm -> blib\lib\Module\Build\Platform\MacOS.pm lib\Module\Build\Platform\cygwin.pm -> blib\lib\Module\Build\Platform\cygwin.pm lib\Module\Build\Platform\Amiga.pm -> blib\lib\Module\Build\Platform\Amiga.pm lib\Module\Build\Platform\VMS.pm -> blib\lib\Module\Build\Platform\VMS.pm lib\Module\Build.pm -> blib\lib\Module\Build.pm lib\Module\Build\Platform\MPEiX.pm -> blib\lib\Module\Build\Platform\MPEiX.pm lib\Module\Build\Platform\os2.pm -> blib\lib\Module\Build\Platform\os2.pm lib\Module\Build\Platform\aix.pm -> blib\lib\Module\Build\Platform\aix.pm lib\Module\Build\Base.pm -> blib\lib\Module\Build\Base.pm lib\Module\Build\Compat.pm -> blib\lib\Module\Build\Compat.pm lib\Module\Build\Platform\VOS.pm -> blib\lib\Module\Build\Platform\VOS.pm lib\Module\Build\Platform\darwin.pm -> blib\lib\Module\Build\Platform\darwin.pm lib\Module\Build\Platform\Unix.pm -> blib\lib\Module\Build\Platform\Unix.pm lib\Module\Build\PPMMaker.pm -> blib\lib\Module\Build\PPMMaker.pm lib\Module\Build\PodParser.pm -> blib\lib\Module\Build\PodParser.pm lib\Module\Build\Platform\Windows.pm -> blib\lib\Module\Build\Platform\Windows.p m lib\Module\Build\Platform\RiscOS.pm -> blib\lib\Module\Build\Platform\RiscOS.pm C:\vanilla-perl\perl\bin\pl2bat.bat < blib\script\config_data > blib\script\conf ig_data.bat Writing config notes to blib\lib\Module\Build\ConfigData.pm Manifying blib\script/config_data -> blib\bindoc\config_data.1 Manifying blib\lib/Module/Build/Platform/os2.pm -> blib\libdoc\Module.Build.Plat form.os2.3 Manifying blib\lib/Module/Build/ConfigData.pm -> blib\libdoc\Module.Build.Config Data.3 Manifying blib\lib/Module/Build/Platform/aix.pm -> blib\libdoc\Module.Build.Plat form.aix.3 Manifying blib\lib/Module/Build/Platform/darwin.pm -> blib\libdoc\Module.Build.P latform.darwin.3 Manifying blib\lib/Module/Build/Platform/cygwin.pm -> blib\libdoc\Module.Build.P latform.cygwin.3 Manifying blib\lib/Module/Build/Platform/MPEiX.pm -> blib\libdoc\Module.Build.Pl atform.MPEiX.3 Manifying blib\lib/Module/Build/PPMMaker.pm -> blib\libdoc\Module.Build.PPMMaker .3 Manifying blib\lib/Module/Build.pm -> blib\libdoc\Module.Build.3 Manifying blib\lib/Module/Build/Platform/Amiga.pm -> blib\libdoc\Module.Build.Pl atform.Amiga.3 Manifying blib\lib/Module/Build/Platform/Unix.pm -> blib\libdoc\Module.Build.Pla tform.Unix.3 Manifying blib\lib/Module/Build/Platform/VMS.pm -> blib\libdoc\Module.Build.Plat form.VMS.3 Manifying blib\lib/Module/Build/Compat.pm -> blib\libdoc\Module.Build.Compat.3 Manifying blib\lib/Module/Build/Base.pm -> blib\libdoc\Module.Build.Base.3 Manifying blib\lib/Module/Build/Platform/EBCDIC.pm -> blib\libdoc\Module.Build.P latform.EBCDIC.3 Manifying blib\lib/Module/Build/Platform/RiscOS.pm -> blib\libdoc\Module.Build.P latform.RiscOS.3 Manifying blib\lib/Module/Build/Platform/VOS.pm -> blib\libdoc\Module.Build.Plat form.VOS.3 Manifying blib\lib/Module/Build/Platform/MacOS.pm -> blib\libdoc\Module.Build.Pl atform.MacOS.3 Manifying blib\lib/Module/Build/Platform/Windows.pm -> blib\libdoc\Module.Build. Platform.Windows.3 Manifying blib\lib/Module/Build/Cookbook.pm -> blib\libdoc\Module.Build.Cookbook .3 Manifying blib\lib/Module/Build/Platform/Default.pm -> blib\libdoc\Module.Build. Platform.Default.3 No 'file' or 'fh' parameter given at C:\DOCUME~1\adam\LOCALS~1\Temp\cpan\build\M odule-Build-0.2612\lib/Module/Build/PodParser.pm line 24. dmake.EXE: Error code 130, while making 'all' C:\vanilla-perl\bin\dmake.EXE -- NOT OK Running make test Can't test without successful make Running make install make had returned bad status, install seems impossible CPAN is up to date (1.87). Bundle summary: The following items in bundle Bundle::CPAN had installation problems: Module::Build Failed during this command: KWILLIAMS/Module-Build-0.2612.tar.gz : make NO Show quoted text
cpan>
This was also reported in ticket 18076, and is fixed in release 0.28
Download (untitled) / with headers
text/plain 125b
Yup, fixed in 0.28. If we ever make any more maintenance releases of the 0.26xx series it'll be there too. Thanks, -Ken


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.